### Function

# Soup form_encode_hash

#### Declaration [src]

    char*
    soup_form_encode_hash (
      GHashTable* form_data_set
    )

#### Description [src]

Encodes `form_data_set` into a value of type “application/x-www-form-urlencoded”.

Encodes as defined in the HTML 4.01 spec.

Note that the HTML spec states that “The control names/values are listed in the order they appear in the document.” Since this method takes a hash table, it cannot enforce that; if you care about the ordering of the form fields, use `soup_form_encode_datalist()`.

See also: `soup_message_new_from_encoded_form()`.

#### Parameters

`form_data_set`

  Type: `GHashTable`

  A hash table containing name/value pairs (as strings)

  The data is owned by the caller of the function.

#### Return value

Type: `char*`

The encoded form.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.